/* light vs dark styles */
:root {
    --accent-9: #1f5ea7;

    --container-6xl: 78rem;
    --container-7xl: 84rem;

    --sy-s-offset-top: 5px;
    --sy-c-link: var(--color-sky-700);

    --yue-c-ul-marker: var(--sage-a12);

    /* Version selector */
    --ss-primary-color: var(--color-sky-700);
    --ss-font-color: var(--color-gray-950);
    --ss-placeholder-color: var(--color-gray-500);
    --ss-border-color: var(--color-slate-200);
}

html.dark {
    --accent-9: #4b8fdd;
    --slate-1: #0d1117;

    --sy-c-background: var(--color-slate-800);
    --yue-c-ul-marker: var(--color-slate-300);
    --sy-c-link: var(--color-sky-200);

    --yue-c-ul-marker: var(--sy-c-light);

    /* Version selector */
    --ss-primary-color: var(--color-sky-200);
    --ss-bg-color: var(--color-slate-800);
    --ss-font-color: var(--color-slate-200);
    --ss-placeholder-color: var(--color-slate-500);
    --ss-border-color: var(--color-slate-500);
    --ss-focus-color: #4f5bd5;
    /* Heights */
    --ss-content-height: 180px;
    --ss-search-height: var(--ss-main-height);
    --ss-option-height: var(--ss-main-height);
    /* Misc */
    --ss-border-radius: 8px;
}

/* Increase the base text size */
.sy-page .yue {
    font-size: 1.2rem;
    line-height: 1.8rem;
    font-weight: 400;
}

/* Increase the side menu text size */
div.sy-scrollbar .globaltoc li,
div.sy-scrollbar .localtoc li {
    font-size: 1.1rem;
    line-height: 1.3rem;
    font-weight: 400;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

div.sy-scrollbar .globaltoc a,
div.sy-scrollbar .localtoc a {
    overflow-wrap: break-word;
}

.sy-scrollbar.sy-rside-inner {
    max-width: 16rem;
    padding-right: 0;
}

aside.sy-lside {
    width: 16rem;
}

#lside .sy-scrollbar {
    padding-right: 0;
    padding-left: 1rem;
}

/* Put menu to the right */
aside.sy-rside {
    flex-shrink: 1;
}

.order-last {
    order: 9999;
}

/* Add hover transition to all links. */
a {
    transition: color 0.25s;
}

/* Have less spacing around sub-titles*/
article.yue h2 {
    margin-top: 0px;
}

/* Make prev/next nav links a big as possible */
.navigation a {
    border: 1px solid var(--sy-c-light);
    border-radius: 8px;
    width: 100%;
    padding: 11px 16px 13px;
    transition: border-color 0.25s;
}

.navigation a:hover {
    border: 1px solid var(--sd-color-card-border-hover);
}

cite {
    font-family: var(--sy-f-mono);
    font-style: normal;
    color: var(--sy-c-light);
    background-color: var(--sy-c-surface);
    font-weight: 600;
    font-size: 0.875em;
    padding: 2px 4px;
    border-radius: 3px;
}

/*
Allow `.. contents:: :local:` while we migrate to the new theme.
*/
nav.contents.local {
    display: none;
}

div.toctree-wrapper {
    display: none;
}

/*
Definition lists
*/
.sy-main dd ul {
    padding: 0;
    padding-left: 0.9rem;
    margin-bottom: 0;
}

.sy-main dd ul li p {
    margin-bottom: 0;
}

.sy-main dt:not(.sig) {
    flex: 0 0 17%;
    word-break: keep-all;
    padding: 10px;
    margin: 0;
    background-color: var(--yue-c-row-background);
    border-bottom: 1px solid var(--yue-c-th-border);
}

.sy-main dl.class em.property,
.sy-main dl.exception em.property,
.sy-main dl.interface em.property {
    color: var(--yue-c-row-background);
}

.sy-main tt.descname {
    font-weight: bold;
}

.sy-main dl.exception dt tt.descclassname,
.sy-main dl.class dt tt.descclassname,
.sy-main dl.interface dt tt.descclassname {
    font-weight: normal;
    font-style: italic;
}

.sy-main dl:not(.py) {
    display: flex;
    flex-flow: row;
    flex-wrap: wrap;
    width: 100%;
    overflow: visible;
}

.sy-main dl:not(.py) dd {
    flex: 0 0 82%;
    text-align: left;
    padding: 10px;
    margin: 0;
}

.sy-main dl:not(.py) dd:hover {
    background-color: var(--yue-c-row-background);
}

.sy-main dl.py > dd {
    margin-left: 2.5rem;
}

.sy-main dl.py dt .pre {
    background: none;
    color: var(--sy-c-text);
    /* Or another appropriate theme variable */
    padding: 0;
    font-size: 100%;
    font-weight: normal;
}
